# Dynamic use

Now, do not link the library at load time, but use the dynamic library at execution time!
We will still dynamically link the core functions (organized in the `libpnmtype.so` library),
but will use the other manipulation methods dynamically at execution time. We create two
separate `.so` files, and decide at program execution which one to use.

```sh
make
pushd pnm-manipulate
LD_LIBRARY_PATH=../libpnm:$LD_LIBRARY_PATH ./pnm-manipulation libpnmmanip.so ../../torony-o.ppm -PPM outm.ppm -i -c -b
LD_LIBRARY_PATH=../libpnm:$LD_LIBRARY_PATH ./pnm-manipulation libpnmdummy.so ../../torony-o.ppm -PPM outd.ppm -i -c -b
popd
make clean
```
